Jump to content

[已解决]求助数据库问题


Recommended Posts

申明本人对数据库不熟悉,特发此贴。

原先有一网站,有一日,离开电脑时,没有从空间后台退出,小孩把空间的全部文件删除,非常之气愤。
幸好,前一日,有做部分备份,1.数据库;2.备份/img/p/目录。
现,重新安装pp 1.2.5,但不知如何导入产品,图片,属性,订单,客户等数据
。。。。特发此贴,有高手出手相助,定给酬谢

Share this post


Link to post
Share on other sites

1. 修改/config/settings.inc.php里_DB_NAME_(库名),_DB_USER_(库用户名),_DB_PASSWD_(库密码),_DB_PREFIX_(库表格前缀)后面的strings为原database所设置的。

2. 用这个工具,重建一个管理员账户。

3. 用新管理员账户登录后台,测试和设置。

ps. 你的(远程)数据库还在吗?

Share this post


Link to post
Share on other sites
你的database是对应哪个版本的?先安装对应版本的prestashop,database连接OK后,再考虑更新prestashop版本问题。[/quote]


之前备份的数据库,对应的pp是1.1.,0.5,新安装的pp对应是1.2.5的

Share this post


Link to post
Share on other sites
1. 修改/config/settings.inc.php里_DB_NAME_(库名),_DB_USER_(库用户名),_DB_PASSWD_(库密码),_DB_PREFIX_(库表格前缀)后面的strings为原database所设置的。

2. 用这个工具,重建一个管理员账户。

3. 用新管理员账户登录后台,测试和设置。

ps. 你的(远程)数据库还在吗?
你好,你能PM 我一下吗?我给你空间后台看一下,我实在没办法

Share this post


Link to post
Share on other sites
先安装1.1.0.5版本prestashop,之后按照上面帖子的步骤,连接(1.1.0.5的远程)database。最后,才需要考虑更新prestashop版本。
我已经在根目录下安装1.2.5的PP,那可以在/子目录下安装1.1.0.5的PP,然后,进行操作。哪去找1.1.0.5版本prestashop?
还有,可不可以,导入先前备份数据库中的部分结构和数据 到新数据库吗?

Share this post


Link to post
Share on other sites

建议安装原来1.1.0.5的安装路径进行重新安装。新安装1.1.0.5的database信息随意就行了。因为新安装的程序是要连接到原来的database上。

Share this post


Link to post
Share on other sites
你好,你能PM 我一下吗?我给你空间后台看一下,我实在没办法


I can pay you couple of hours for learning this how-to. Next time you don't have to pay anyone.

Share this post


Link to post
Share on other sites
建议安装原来1.1.0.5的安装路径进行重新安装。新安装1.1.0.5的database信息随意就行了。因为新安装的程序是要连接到原来的database上。
还有,可不可以,导入先前备份数据库中的部分结构和数据 到新数据库吗?

Share this post


Link to post
Share on other sites
你好,你能PM 我一下吗?我给你空间后台看一下,我实在没办法


I can pay you couple of hours for learning this how-to. Next time you don't have to pay anyone.
I can pay you。

Share this post


Link to post
Share on other sites
还有,可不可以,导入先前备份数据库中的部分结构和数据 到新数据库吗?

不行。一步步来吧。

I can pay you。


You misunderstood me.

Share this post


Link to post
Share on other sites
还有,可不可以,导入先前备份数据库中的部分结构和数据 到新数据库吗?

不行。一步步来吧。

I can pay you。


You misunderstood me.
非常感谢,你的建议,我的站正在运营之中,所以,我需要快速的解决问题,这就是我发此贴的目的。这个问题,对你而言,可能非常容易,但对我而言,难。所以,我希望得到你的协助。

Share this post


Link to post
Share on other sites

The 1.105 and 1.25 databases structures are different. Install the 1.1 first, when everything is good, do an upgrade for 1.25. Make sure it is an upgrade installation, not fresh installation. then the database will be upgraded to the 1.25.

Share this post


Link to post
Share on other sites
The 1.105 and 1.25 databases structures are different. Install the 1.1 first, when everything is good, do an upgrade for 1.25. Make sure it is an upgrade installation, not fresh installation. then the database will be upgraded to the 1.25.
Thanks!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More